org.eclipse.emf.facet.widgets.celleditors.modelCellEditor

## Interface ModelCellEditorFactory

    public interface ModelCellEditorFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `ModelCellEditorPackage`
Generated:

### Field Summary

Fields
`static ModelCellEditorFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`BasicCellEditor` `createBasicCellEditor()` Returns a new object of class 'Basic Cell Editor'.
`ModelCellEditorDeclarations` `createModelCellEditorDeclarations()` Returns a new object of class 'Declarations'.
`NaryFeatureCellEditor` `createNaryFeatureCellEditor()` Returns a new object of class 'Nary Feature Cell Editor'.
`UnaryReferenceCellEditor` `createUnaryReferenceCellEditor()` Returns a new object of class 'Unary Reference Cell Editor'.
`ModelCellEditorPackage` `getModelCellEditorPackage()` Returns the package supported by this factory.

### Field Detail

#### eINSTANCE

    static final ModelCellEditorFactory eINSTANCE

The singleton instance of the factory.

Generated:

### Method Detail

#### createModelCellEditorDeclarations

    ModelCellEditorDeclarations createModelCellEditorDeclarations()

Returns a new object of class 'Declarations'.

Returns:
  a new object of class 'Declarations'.
Generated:

#### createBasicCellEditor

    BasicCellEditor createBasicCellEditor()

Returns a new object of class 'Basic Cell Editor'.

Returns:
  a new object of class 'Basic Cell Editor'.
Generated:

#### createUnaryReferenceCellEditor

    UnaryReferenceCellEditor createUnaryReferenceCellEditor()

Returns a new object of class 'Unary Reference Cell Editor'.

Returns:
  a new object of class 'Unary Reference Cell Editor'.
Generated:

#### createNaryFeatureCellEditor

    NaryFeatureCellEditor createNaryFeatureCellEditor()

Returns a new object of class 'Nary Feature Cell Editor'.

Returns:
  a new object of class 'Nary Feature Cell Editor'.
Generated:

#### getModelCellEditorPackage

    ModelCellEditorPackage getModelCellEditorPackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.
Generated: